%define lib_name_orig libntfs
%define major 10
%define libname %mklibname ntfs %{major}
%define develname %mklibname ntfs -d

Summary:	NTFS filesystem libraries and utilities
Name:		ntfsprogs
Version:	2.0.0
Release:	%mkrel 10
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.linux-ntfs.org/
Source0:	http://prdownloads.sourceforge.net/linux-ntfs/%{name}-%{version}.tar.bz2
Patch0:		ntfsprogs-linkage_fix.diff
Patch1:		ntfsprogs-1.9.1-display-min-size-in-KiB.patch
Patch2:		ntfsprogs-2.0.0-fix-str-fmt.patch
BuildRequires:	libuuid-devel
BuildRequires:	gnutls-devel
BuildRequires:	libgcrypt-devel >= 1.4.1
BuildRequires:	libconfig-devel
# ntfs-3g should *really* be used instead of ntfsmount
Suggests:	ntfs-3g
# gnomevfs is obsoleted
Obsoletes:	ntfsprogs-gnomevfs
#BuildRequires:	libconfig-devel >= 1.0.1 <- what's this?
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Linux-NTFS project aims to bring full support for the NTFS filesystem to
the Linux operating system. Linux-NTFS currently consists of a static library
and utilities. This package contains the following utilities:

ntfscat: concatenate files and print them on the standard output

ntfsclone: efficiently clone an NTFS filesystem

ntfscluster: identify files in a specified region of an NTFS volume

mkntfs: format a partition with the NTFS filesystem

ntfsfix: tool for fixing NTFS partitions altered by the Linux kernel NTFS
         driver

ntfsinfo: dump a file's attributes

ntfslabel: display/change the label on an ntfs file system

ntfsls: list directory contents on an NTFS file system

ntfsresize: resize an NTFS filesystem

ntfsundelete: recover a deleted file from an NTFS volume

%package -n	%{libname}
Summary:	Main library for %{lib_name_orig}
Group:		System/Libraries
Provides:	%{lib_name_orig} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n	%{develname}
Summary:	Header files and libraries for developing apps which will use %{lib_name_orig}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Conflicts:	%{mklibname ntfs 5}-devel
Obsoletes:	%{mklibname ntfs 10}-devel

%description -n	%{develname}
The %{lib_name_orig}-devel package contains the header files and libraries
needed to develop programs that use the %{lib_name_orig}

Install the %{lib_name_orig}-devel package if you want to develop applications
that will use the %{lib_name_orig} library.

%prep

%setup -q
%patch0 -p0 -b .link
%patch1 -p1
%patch2 -p0

%build
autoreconf -fi
# disable ntfsmount, ntfs-3g does a better job
%configure2_5x --disable-ntfsmount --disable-gnome-vfs
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS CREDITS ChangeLog INSTALL NEWS README TODO.include
%doc doc/attribute_definitions doc/attributes.txt doc/compression.txt
%doc doc/system_files.txt doc/system_security_descriptors.txt doc/template.c
%doc doc/template.h doc/tunable_settings 
%{_bindir}/*
/sbin/*
%{_sbindir}/*
%{_mandir}/*/*

%files -n %{libname}
%defattr(-,root,root)
%doc CREDITS
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc doc/CodingStyle
%{_libdir}/*.so
%{_libdir}/*a
%{_includedir}/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.0.0-10.mga3
+ Revision: 361071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 21 2011 shlomif <shlomif> 2.0.0-9.mga2
+ Revision: 134709
- Rebuild for the new NTFS and add gcrypt to the linking because it failed without it

* Fri Jan 14 2011 blino <blino> 2.0.0-8.mga1
+ Revision: 16769
- remove old ldconfig scriptlets
- imported package ntfsprogs

